[package]
name = "scel_api"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
axum = { version = "0.5.17" }
axum-extra = { version = "0.3.7", features = ["spa"] }
futures = "0.3.30"
tower-http = { version = "0.3.4", features = ["cors", "trace"] }
async-graphql = { version = "4.0.16", features = [
  'tracing',
  'opentelemetry',
  "log",
] }
async-graphql-axum = { version = "4.0.16" }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0.89"
tokio = { version = "1.22", features = ["full"] }
tracing = "0.1"
tracing-subscriber = { version = "0.3" }
anyhow = { version = "1.0.66" }
oauth2 = { version = "*" }
async-session = { version = "*" }
reqwest = { version = "*", default-features = false, features = [
  "rustls-tls",
  "json",
] }
hyper = { version = "*" }

scel_core = { path = "../scel_core" }
